&apt-author.moconnor; &apt-author.team; &apt-email; &apt-product; 2 November 2007
apt-mark
8

# apt-mark

mark/unmark a package as being automatically-installed

          apt-mark
          -hv
          -f=FILENAME
          markautounmarkauto
          package

## Description

`apt-mark` will change whether a package has been marked as being automatically installed.

When you request that a package is installed, and as a result other packages are installed to satisfy its dependencies, the dependencies are marked as being automatically installed. Once these automatically installed packages are no longer depended on by any manually installed packages, they will be removed.

markauto

  `markauto` is used to mark a package as being automatically installed, which will cause the package to be removed when no more manually installed packages depend on this package.

unmarkauto

  `unmarkauto` is used to mark a package as being manually installed, which will prevent the package from being automatically removed if no other packages depend on it.

## options

`-f=`FILENAME``
`--file=`FILENAME``

  Read/Write package stats from `FILENAME` instead of the default location, which is `extended_status` in the directory defined by the Configuration Item: `Dir::State`.

`-h`
`--help`

  Show a short usage summary.

`-v`
`--version`

  Show the program version.

## See Also

&apt-conf;

## Diagnostics

`apt-mark` returns zero on normal operation, non-zero on error.

&manbugs;